- MongoDB C Driver 1.13.1 »
- API Reference

# mongoc_topology_description_t

Status of MongoDB Servers

## Synopsis

    typedef struct _mongoc_topology_description_t mongoc_topology_description_t;

`mongoc_topology_description_t` is an opaque type representing the driver’s knowledge of the MongoDB server or servers it is connected to. Its API conforms to the SDAM Monitoring Specification.

Applications receive a temporary reference to a `mongoc_topology_description_t` as a parameter to an SDAM Monitoring callback. See Introduction to Application Performance Monitoring.

## Functions

- mongoc_topology_description_get_servers()
- mongoc_topology_description_has_readable_server()
- mongoc_topology_description_has_writable_server()
- mongoc_topology_description_type()

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.